<?php

namespace Drush\Sql;

use Drupal\imds4azure_mysql\Driver\Database\imds4azure_mysql\Connection;

/**
 * Drush driver for the Azure MySQL database driver.
 *
 * @phpcs:disable Drupal.NamingConventions.ValidClassName.NoUnderscores
 */
class SqlImds4azure_mysql extends SqlMysql {

  /**
   * {@inheritdoc}
   */
  public function getDbSpec() : array {
    $this->dbSpec['password'] = Connection::getToken($this->dbSpec);
    return $this->dbSpec;
  }

}
